diff --git a/web/pgadmin/tools/search_objects/utils.py b/web/pgadmin/tools/search_objects/utils.py
index 407dc83f2..16cfefcd9 100644
--- a/web/pgadmin/tools/search_objects/utils.py
+++ b/web/pgadmin/tools/search_objects/utils.py
@@ -98,8 +98,12 @@ class SearchObjectsHelper:
         """
 
         if obj_type == 'all':
-            status, error = conn.execute_dict('select * from pg_subscription')
-            if 'permission denied' in error:
+            status, error = conn.execute_dict(
+                "SELECT COUNT(1) FROM information_schema.table_privileges  "
+                "WHERE table_name = 'pg_subscription' "
+                "AND privilege_type = 'SELECT'")
+            if 'count' in error['rows'][0] and \
+                    error['rows'][0]['count'] == '0':
                 skip_obj_type.append('subscription')
 
         return skip_obj_type
